Conversation events
Public Conversation Events Ticket
A short-lived ticket for this conversation’s event stream, so the SSE URL never carries the identity JWT. Names the JWT’s subjects and never outlives it.
POST
/
core
/
public
/
web-widgets
/
{widget_id}
/
conversations
/
{conversation_id}
/
events
/
ticket
Public Conversation Events Ticket
curl --request POST \
--url https://api.anyreach.ai/core/public/web-widgets/{widget_id}/conversations/{conversation_id}/events/ticket \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.anyreach.ai/core/public/web-widgets/{widget_id}/conversations/{conversation_id}/events/ticket"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.anyreach.ai/core/public/web-widgets/{widget_id}/conversations/{conversation_id}/events/ticket', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anyreach.ai/core/public/web-widgets/{widget_id}/conversations/{conversation_id}/events/ticket",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.anyreach.ai/core/public/web-widgets/{widget_id}/conversations/{conversation_id}/events/ticket"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.anyreach.ai/core/public/web-widgets/{widget_id}/conversations/{conversation_id}/events/ticket")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anyreach.ai/core/public/web-widgets/{widget_id}/conversations/{conversation_id}/events/ticket")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ticket": "string",
"expires_at": "2026-01-15T09:30:00Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Personal access token or organization API key. See Authentication.
⌘I
Public Conversation Events Ticket
curl --request POST \
--url https://api.anyreach.ai/core/public/web-widgets/{widget_id}/conversations/{conversation_id}/events/ticket \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.anyreach.ai/core/public/web-widgets/{widget_id}/conversations/{conversation_id}/events/ticket"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.anyreach.ai/core/public/web-widgets/{widget_id}/conversations/{conversation_id}/events/ticket', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anyreach.ai/core/public/web-widgets/{widget_id}/conversations/{conversation_id}/events/ticket",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.anyreach.ai/core/public/web-widgets/{widget_id}/conversations/{conversation_id}/events/ticket"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.anyreach.ai/core/public/web-widgets/{widget_id}/conversations/{conversation_id}/events/ticket")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anyreach.ai/core/public/web-widgets/{widget_id}/conversations/{conversation_id}/events/ticket")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ticket": "string",
"expires_at": "2026-01-15T09:30:00Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
